package com.dcsoft.job.domain;


import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 假期设置对象 kq_holiday
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public class KqHoliday extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 假期id */
    private Long holidayId;

    /** 假期时长 */
    @Excel(name = "假期时长")
    private Long timeStamp;

    /** 假期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "假期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    private Long selectTimeStep;

    private Long startTimeStep;

    private Long endTimeStep;

    private String status;




    public void setHolidayId(Long holidayId)
    {
        this.holidayId = holidayId;
    }

    public Long getHolidayId()
    {
        return holidayId;
    }
    public void setTimeStamp(Long timeStamp)
    {
        this.timeStamp = timeStamp;
    }

    public Long getTimeStamp()
    {
        return timeStamp;
    }
    public void setTime(Date time)
    {
        this.time = time;
    }

    public Date getTime()
    {
        return time;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getSelectTimeStep() {
        return selectTimeStep;
    }

    public void setSelectTimeStep(Long selectTimeStep) {
        this.selectTimeStep = selectTimeStep;
    }

    public Long getStartTimeStep() {
        return startTimeStep;
    }

    public void setStartTimeStep(Long startTimeStep) {
        this.startTimeStep = startTimeStep;
    }

    public Long getEndTimeStep() {
        return endTimeStep;
    }

    public void setEndTimeStep(Long endTimeStep) {
        this.endTimeStep = endTimeStep;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("holidayId", getHolidayId())
            .append("timeStamp", getTimeStamp())
            .append("time", getTime())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
